# $Revision: 1.72 $, $Date: 2006/09/26 18:54:22 $
# TODO:
# - change /net to something FHS-compliant ?
# - upgrade to autofs5 - maybe separate package?
# - build of ldap-related things has some errors
Summary:	autofs daemon
Summary(de):	autofs daemon
Summary(es):	Servidor autofs
Summary(fr):	dmon autofs
Summary(pl):	Demon autofs
Summary(pt_BR):	Servidor autofs
Summary(tr):	autofs sunucu sreci
Name:		autofs
Version:	4.1.4
Release:	4
Epoch:		1
License:	GPL v2+
Group:		Daemons
Source0:	ftp://ftp.kernel.org/pub/linux/daemons/autofs/v4/%{name}-%{version}.tar.bz2
# Source0-md5:	7e3949114c00665b4636f0c318179657
Source1:	%{name}.init
Source2:	%{name}-auto.master
Source3:	%{name}-auto.media
Source4:	%{name}-auto.net
Source5:	%{name}.sysconfig
Patch0:		%{name}-open_max.patch
Patch1:		%{name}-hesiod-includes.patch
Patch2:		http://www.kernel.org/pub/linux/daemons/autofs/v4/%{name}-4.1.4-misc-fixes.patch
Patch3:		http://www.kernel.org/pub/linux/daemons/autofs/v4/%{name}-4.1.4-multi-parse-fix.patch
Patch4:		http://www.kernel.org/pub/linux/daemons/autofs/v4/%{name}-4.1.4-no-unlink-upstream.patch
Patch5:		http://www.kernel.org/pub/linux/daemons/autofs/v4/%{name}-4.1.4-non-replicated-ping.patch
Patch6:		http://www.kernel.org/pub/linux/daemons/autofs/v4/%{name}-4.1.4-auto.smb-cifs.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bind-devel
BuildRequires:	openldap-devel >= 2.3.0
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	mktemp
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/autofs

%description
autofs is a daemon which automatically mounts filesystems when you use
them, and unmounts them later when you are not using them. This can
include network filesystems, CD-ROMs, floppies, and so forth.

%description -l de
autofs ist ein Dmon, der Dateisysteme automatisch montiert, wenn sie
benutzt werden, und sie spter bei Nichtbenutzung wieder demontiert.
Dies kann Netz-Dateisysteme, CD-ROMs, Disketten und hnliches
einschlieen.

%description -l es
Autofs es un servidor que monta automticamente sistemas de archivos
cuando los usa, y los desmonta, ms tarde, al terminar de usarlos.
Incluyendo sistemas de archivo en red, CD-ROMS, disquetes, etc.

%description -l fr
autofs est un dmon qui monte automatiquement les systmes de fichiers
lorsqu'on les utilise et les dmonte lorsqu'on ne les utilise plus.
Cela inclus les systmes de fichiers rseau, les CD-ROMs, les
disquettes, etc.

%description -l pl
Autofs jest demonem, ktry montuje automatycznie systemy plikw jeeli
je uywasz i odmontowuje pniej, jeeli ich nie uywasz. Moe
montowa sieciowy system plikw, CD-romy, stacje dyskietek i inne.

%description -l pt_BR
O autofs  um servidor que monta automaticamente sistemas de arquivos
quando estes forem usados, desmontando-os mais tarde quando no
estiverem mais em uso. Incluindo sistemas de arquivo em rede, CD-ROMS,
disquetes, etc.

%description -l tr
autofs, kullanlan dosya sistemlerini gerek olunca kendiliinden
balar ve kullanmlar sona erince yine kendiliinden zer. Bu ilem,
a dosya sistemleri, CD-ROM'lar ve disketler zerinde yaplabilir.

%package ldap
Summary:	LDAP lookup module for autofs
Summary(pl):	Modu LDAP dla autofs
Summary(pt_BR):	Suporte a mapas LDAP para o pacote autofs
Group:		Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description ldap
This package contains the autofs module necessary to use automount
maps stored on an LDAP server.

%description ldap -l pl
Ten pakiet zawiera modu autofs potrzebny do uywania map automounta
trzymanych na serwerze LDAP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
chmod a+w configure
%{__aclocal}
%{__autoconf}
%configure

%{__make} \
	initdir=/etc/rc.d/init.d \
	CC="%{__cc}" \
	DAEMON_CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/misc,/net,%{_sbindir},%{_libdir}/autofs,%{_mandir}/man{5,8}} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,autofs,sysconfig}

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT

install %{SOURCE1}	$RPM_BUILD_ROOT/etc/rc.d/init.d/autofs

install %{SOURCE2}	$RPM_BUILD_ROOT%{_sysconfdir}/auto.master
install %{SOURCE3}	$RPM_BUILD_ROOT%{_sysconfdir}/auto.media
install %{SOURCE4} 	$RPM_BUILD_ROOT%{_sysconfdir}/auto.net
install %{SOURCE5} 	$RPM_BUILD_ROOT/etc/sysconfig/autofs
mv $RPM_BUILD_ROOT/etc/auto.smb $RPM_BUILD_ROOT%{_sysconfdir}

touch $RPM_BUILD_ROOT%{_sysconfdir}/auto.{home,var,tmp}

# Do some cleanups:
rm -f $RPM_BUILD_ROOT/etc/auto.{master,misc,net}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add autofs
# triggerpostun would get called after %%post
if [ -f /var/lock/subsys/automount ]; then
	mv /var/lock/subsys/{automount,autofs}
fi
%service autofs restart "autofs daemon"

%preun
if [ "$1" = "0" ]; then
	%service autofs stop
	/sbin/chkconfig --del autofs
fi

%files
%defattr(644,root,root,755)
%doc CHANGELOG CREDITS README*
%dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/autofs
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/auto.home
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/auto.master
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/auto.media
%attr(750,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/auto.net
%attr(750,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/auto.smb
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/auto.tmp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/auto.var
%attr(754,root,root) %config /etc/rc.d/init.d/autofs
%attr(755,root,root) %{_sbindir}/automount
%dir /net
%dir %{_libdir}/autofs
%attr(755,root,root) %{_libdir}/autofs/mount_*
%attr(755,root,root) %{_libdir}/autofs/parse_*
%attr(755,root,root) %{_libdir}/autofs/lookup_[!l]*
%{_mandir}/man[58]/*

%files ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/autofs/lookup_ldap.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: autofs.spec,v $
Revision 1.72  2006/09/26 18:54:22  glen
- rel 4

Revision 1.71  2006/06/26 22:05:58  blues
- added official auto.smb-cifs patch. Not really needed.

Revision 1.70  2006/06/26 20:54:35  blues
- moved auto.misc to auto.media; set CC and some flags (maybe more needed).
  Some TODO done, more added, removed /misc directory.

Revision 1.69  2006/05/11 23:06:22  glen
- rel 3

Revision 1.68  2006/02/24 15:20:04  glen
- use %service

Revision 1.67  2006/01/17 19:21:40  blekot
- readded http://www.kernel.org/pub/linux/daemons/autofs/v4/ to Patch{2,3,4,5}

Revision 1.66  2006/01/17 17:50:45  blekot
- patches moved to our cvs

Revision 1.65  2006/01/17 15:11:00  baggins
- release 2
- BR openldap 2.3

Revision 1.64  2005/11/11 18:02:40  blekot
- up to 4.1.4
- TODO added

Revision 1.63  2005/03/06 19:27:26  paszczus
- cleanups

Revision 1.62  2005/03/06 19:24:18  glen
- initscript fixes by Kacper Kornet; rel 2; STBR

Revision 1.61  2004/12/17 21:25:21  sparky
- spanish desc/summary fixes; many just thrown

Revision 1.60  2004/09/23 17:15:58  undefine
- update to 4.1.3 (argh.. nobody use it???)

Revision 1.59  2004/04/14 22:39:05  qboosh
- BR: bind-devel, no // in paths

Revision 1.58  2004/04/14 16:40:33  adamg
- added hesiod-includes.patch

Revision 1.57  2004/04/02 09:00:13  averne
- rel 8 for rebuild with new openldap

Revision 1.56  2004/03/16 14:23:33  averne
- rel7 for rebuild with new openldap

Revision 1.55  2003/08/06 16:31:20  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.54  2003/07/29 15:12:20  qboosh
- more specific Requires

Revision 1.53  2003/06/27 13:10:44  mmazur
- mass commit; now req: name = epoch:version

Revision 1.52  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.51  2003/05/25 05:45:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.50  2002/10/10 11:48:59  marcus
- use new %doc

Revision 1.49  2002/10/09 13:14:17  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.48  2002/05/21 23:12:42  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.47  2002/04/25 15:50:06  arturs
- fixed a small typo

Revision 1.46  2002/03/21 23:01:50  saq
- fixed the init script: typo, added reload (=restart)
- release 6

Revision 1.45  2002/03/21 20:30:18  grzegol
- fixed autofs.init script (s/ps\ ax/ps\ axw/)
- rel. 5
- STBR

Revision 1.44  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.43  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.42  2002/01/18 02:12:27  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.41  2001/09/24 09:53:52  qboosh
- Prereq: /sbin/chkconfig

Revision 1.40  2001/09/14 00:33:57  kloczek
- added regenerate ac/am files.

Revision 1.39  2001/09/14 00:15:31  kloczek
- merge translations from CNV.

Revision 1.38  2001/09/13 09:06:35  saq
- BuildRequires openldap-devel
- ldap subpackage introduced
- chmod 755 configure (to allow autoconf overwrite it)
- release 4
- STB

Revision 1.37  2001/08/25 11:52:52  filon
- added using autoconf, ac 2.5 ready

Revision 1.36  2001/08/13 13:18:32  kloczek
- release 3,
- added Epoch: 1 (for allow upgrade from RH version).

Revision 1.35  2001/07/26 16:24:32  saq
- use %configure2_13
- finished transition to new lock name (/var/lock/subsys/autofs)
- release 2
- stb

Revision 1.34  2001/07/26 05:42:04  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.31  2001/07/18 03:42:42  kloczek
- spec adapterized.

Revision 1.30  2001/06/23 12:56:25  blues
- 4.0.0pre10
- 2 patches still not functional

Revision 1.29  2001/02/01 16:27:32  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.28  2001/01/29 10:17:19  dobrek
- Really applied autofs-open_max.patch

Revision 1.27  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.26  2000/09/08 03:35:18  kloczek
- update to 4.0.0pre7 (release 24),
- merged RH patches,
- updated Source url.

Revision 1.25  2000/06/09 07:22:47  kloczek
- added using %{__make} macro.

Revision 1.24  2000/05/18 02:01:24  kloczek
- spec adapterized.

Revision 1.23  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.21  2000/03/28 08:13:11  kloczek
- spec adapterized.

Revision 1.20  2000/02/28 08:10:05  waszi
- support for autofs.sysconfig

Revision 1.19  2000/02/26 09:17:33  waszi
- updated to 4.0.0pre6

Revision 1.18  1999/09/11 13:32:45  misiek
- fixed requires (PR#28)

Revision 1.17  1999/08/05 21:12:09  kloczek
- release 6,
- fixed rc script with correct checking is network is up.

Revision 1.16  1999/07/17 18:53:23  kloczek
- in %post, %preun test if exist /var/lock/subsys/automount.

Revision 1.15  1999/07/17 18:39:34  kloczek
- stop serwice in %preun only when /var/lock/subsys/autofs exist,
- small cosmetic changes.

Revision 1.14  1999/07/16 14:28:34  baggins
- more macros

Revision 1.13  1999/07/12 23:05:53  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue Apr 20 1999 Piotr Czerwiski <pius@pld.org.pl>
  [3.1.3-4]
- recompiled on rpm 3.

* Tue Apr  6 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.1.3-3]
- stripping autofs modules,
- modifications %post, %preun for standarizing this sections; this allow stop
  service on uninstall and automatic restart on upgrade.

* Mon Apr  5 1999 Piotr Czerwiski <pius@pld.org.pl>
- changed Group(pl) to Demony,
- gzipping documentation,
- added -nf to gzip parameters,
- removed man group from man pages,
- fixed dir permissions,
- cosmetic changes for common l&f.

* Sat Oct 10 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [3.1.3-1d]
- fixed pl translation,
- fixed invalid modules/Makefile;
- fixed files permissions,
- moved sysconfdir to /etc/autofs,
- fixed rc.autofs to work wiht bash-2.02.1 and higher,
- added some samples auto.* config files.

* Fri Jun 12 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [3.1.1-4d]
- build against glibc-2.1,
- translation modified for pl,
- added %defattr support,
- build from non root's account,
- moved %changelog at the end of spec.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.1.1

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscripts

* Fri Dec 05 1997 Michael K. Johnson <johnsonm@redhat.com>
- Link with -lnsl for glibc compliance.

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- exclusivearch for i386 for now, since our kernel packages on
  other platforms don't include autofs yet.
- improvements to initscripts.

* Thu Oct 16 1997 Michael K. Johnson <johnsonm@redhat.com>
- Built package from 0.3.14 for 5.0
